/// The [ElTooltipPosition] enum is used to specify the desired position of the tooltip
///
/// The tooltips can be displayed in the following positions:

enum ElTooltipPosition {
  ///  [topStart]  Positioned at the top-left corner of the target element.
  topStart,

  /// [topCenter] Centered at the top of the target element.

  topCenter,

  /// [topEnd] Positioned at the top-right corner of the target element.

  topEnd,

  /// [rightStart] Positioned at the right-top corner of the target element.

  rightStart,

  /// [rightCenter] Centered at the right of the target element.

  rightCenter,

  /// [rightEnd] Positioned at the right-bottom corner of the target element.

  rightEnd,

  /// [bottomStart] Positioned at the bottom-left corner of the target element.

  bottomStart,

  /// [bottomCenter] Centered at the bottom of the target element.

  bottomCenter,

  /// [bottomEnd] Positioned at the bottom-right corner of the target element.

  bottomEnd,

  /// [leftStart] Positioned at the left-top corner of the target element.

  leftStart,

  /// [leftCenter] Centered at the left of the target element.

  leftCenter,

  /// [leftEnd] Positioned at the left-bottom corner of the target element.

  leftEnd,
}
